package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.CphFamilyMember;
import com.srs.comprehensive.domain.SrsEducationExperience;

/**
 * 教育经历
Service接口
 *
 * @author srs
 * @date 2024-04-08
 */
public interface ISrsEducationExperienceService extends IService<SrsEducationExperience> {

    AjaxResult editOwnExp(SrsEducationExperience param);
    AjaxResult deleteOwnExp(SrsEducationExperience param);

    List<SrsEducationExperience> getStuExp(String stuNo);


    /**
     * 查询教育经历

     *
     * @param eduId 教育经历
主键
     * @return 教育经历

     */
    public SrsEducationExperience selectSrsEducationExperienceByEduId(Long eduId);

    /**
     * 查询教育经历
列表
     *
     * @param srsEducationExperience 教育经历

     * @return 教育经历
集合
     */
    List<SrsEducationExperience> selectSrsEducationExperienceList(SrsEducationExperience srsEducationExperience);

    /**
     * 新增教育经历

     *
     * @param srsEducationExperience 教育经历

     * @return 结果
     */
    int insertSrsEducationExperience(SrsEducationExperience srsEducationExperience);

    /**
     * 修改教育经历

     *
     * @param srsEducationExperience 教育经历

     * @return 结果
     */
    int updateSrsEducationExperience(SrsEducationExperience srsEducationExperience);

    /**
     * 批量删除教育经历

     *
     * @param eduIds 需要删除的教育经历
主键集合
     * @return 结果
     */
    int deleteSrsEducationExperienceByEduIds(Long[] eduIds);

    /**
     * 删除教育经历
信息
     *
     * @param eduId 教育经历
主键
     * @return 结果
     */
    int deleteSrsEducationExperienceByEduId(Long eduId);
}
